class FeedbacksController < ApplicationController
  before_filter :authenticate_user!

  # GET /feedbacks/new
  def new
  #  @feedbacks = Feedback.new

#    render layout: false
 end

  # GET /feedbacks/new_bug
  def new_bug
    @bug = Bug.new

    render layout: false
  end

  # POST /feedbacks
  def create
   # @feedbacks = Feedback.new(feedback_params)

   # respond_to do |format|
   #   if feedback_service.send_feedback @feedbacks
   #     format.html { redirect_to :back, notice: 'Obrigado pela sua avaliação!' }
  #    end
  #  end
  end

  # POST /feedbacks/report_bug
  def report_bug
    @bug = Bug.new(bug_params)

    respond_to do |format|
      if feedback_service.report_bug @bug
        format.html { redirect_to :back, notice: 'Problema relatado com sucesso!' }
      end
    end
  end

  private

  def feedback_service
    FeedbackService.new(GitlabBugreporterService.new(Gitlab))
  end

  def bug_params
    params.require(:bug).permit(:title, :description)
  end

  def feedback_params
    params.require(:feedbacks).permit(:object, :message, :description)
  end

end
