class Topic < ActiveRecord::Base
  has_and_belongs_to_many :learning_objects

  has_many :topic_relationships, foreign_key: "parent_id"
  has_many :subtopics, through: :topic_relationships, source: :child

  has_many :topic_highlights
  has_many :highlights, through: :topic_highlights, source: :learning_object
end
