class DspaceUploadWorker
  include Sidekiq::Worker

  @@dspace= nil

  def perform(item_id, media_path)
    file = File.new(media_path, 'r')
    bitstream = dspace.items.add_bitstream(file, id: item_id, name: File.basename(media_path), description: 'beta upload')
  end

  private

  def build_bistreams_string(bitstream)
    JSON.generate({id: bitstream.id, name: bitstream.name, link: bitstream.link,
      retrieveLink: bitstream.retrieve_link, description: bitstream.description,
      format: bitstream.format, mimeType: bitstream.mime_type, size: bitstream.size_bytes, bundleName: bitstream.bundle_name})
  end

  def dspace
    @@dspace ||= DspaceService.create_client
  end

end
