# the Environments class holds the repository for each environment
class Repository::Environments

  ##
  # Ex:
  #   Repository::Environments.create :production, {
  #                                       learning_object: OrientDb::LearningObjectRepository.new(orientdb_client),
  #                                       user: UserRepositoryProxy.new(OrientDb::UserRepository.new(orientdb_client))
  #                                    }
  def self.create(env, repositories={})
    environments[env] = repositories
  end

  ##
  # Ex: production_repositories = Repository::Environments.environments[:production]
  def self.environments
    @environments ||= {}
  end

end